Skip to main content

POST Create Problem

URL: http://{{server-url}}/api/v1/problem

Example: http://{{server-url}}/api/v1/problem

In order to create a new problem, you have to call the above endpoint with the following key-values:

Header

KeyDescription
AuthorizationBearer {access token obtained after authorization}
Content-Typeapplication/json

Body

You would be sending a JSON problem request that will create a ticket and populate its details. Some of the key-value pairs are compulsory, notice the description of each.

note

Keys with asterisk are mandatory.

KeyValue TypeDescription
requesterEmail*StringEmail address of the user registered for the client.
subject*StringSubject of the problem.
descriptionStringDescription about the problem.
impactNameStringDescribes the effect of the Problem. Possible values are: Low, On User , On department, Or On Business.
priorityNameStringShows the importance of the Problem. Possible values are: Low, Medium, High, or Urgent.
urgencyNameStringMarks the Problem as urgent. Possible values are: Low, Medium, High, or Urgent.
categoryStringCategory name assigned to the problem.
technicianGroupStringName of the technician group.
assigneeStringName of the Assignee (email address).
departmentStringDepartment associated with the problem.
locationStringName of the Location where the problem occurred. Note that Location Must Exist with same name.
symptompsStringDescription of the symptoms of the problem.
natureOfProblem*StringDescribes the nature of the problem. Possible values are: Reactive, Proactive.
knownError*BooleanIndicates if the problem is a known error.
statusNameStringCurrent status of the problem.
tagsString ArrayThese are additional identifiers attached to a ticket. Its a list that can contain n number of STRINGS.
rootCauseStringDescription of the root cause of the problem.
dueBy*StringSet the due date for the problem (e.g., "DD-MM-YYYY HH:MM").
fileAttachmentsObject ArrayReference File Name of attachments for a Problem. If you are uploading the file for the first time, you need to call the POST Upload an Attachment API to get the reference file name and then use it here. For example:[ { “refFileName” : “abc”, “realName” : “xyz.pdf” } ]

Example (Request & Response)

Request

curl --location 'http://172.16.11.148/api/v1/problem' \
--header 'Authorization: Bearer eyJraWQiOiJmbG90by1rZXktaWQiLCJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJqZXJyeUBtb3RhZGF0YS5jb20iLCJ1c2VyX25hbWUiOiJ1dWlkMzYtZmM4Mjc3NWItZjM1Ni00MWM4LWIyMGMtN2Q3MWE2MjI4MzFkIiwiaXNzIjoiaHR0cDovLzE3Mi4xNi4xMS4xNDgvYXBpIiwibG9naW5fc291cmNlIjoiTk9STUFMX0xPR0lOIiwiY2xpZW50X2lkIjoiUG9zdG1hbi1jbGllbnQiLCJhdWQiOiJQb3N0bWFuLWNsaWVudCIsImxvZ2luX3Nzb19pZCI6MCwibmJmIjoxNzcwNzIxMTQ5LCJncmFudF90eXBlIjoicGFzc3dvcmQiLCJzY29wZSI6WyJvdGhlci1hcGktc2NvcGUiXSwiZXhwIjoxNzcwODkzOTQ5LCJsb2dpbl9tc3BfcG9ydGFsX2lkIjowLCJpYXQiOjE3NzA3MjExNDksImp0aSI6ImViNTY5ODA0LWFlZTMtNGRmMS04MGJjLWU5ODJkZGQxOWQ5NSIsInRlbmFudElkZW50aWZpZXIiOiJhcG9sbyJ9.rca4U4WWUXwrCW6zPbN4JIBoyTQPtJj0EloSdwNvobw2qEG9ScX2Qsuq8H9iEDJCus0m-2DgHZk8SgB4LWhuACoX_NHpODvBIaXntfnXfmtV5tvOrt01zJ9vBhQ9w8JHH6o_YkcoB4JsXB8lYRYCxmBXMV33msCIHkJICTUS_SR4jD2RvXnHESDDmOYH5IT0OQq18NWrEJRZi9SfykiUtkNfSneGYF-0y0H_zm0bo0kiHK6Mmz_aByvUkRzBtGSZrH22C4dZl9osn2vh0ELR32EDHuZy19i2T3cAEvtVP_Cr3Oq43UzA2RBkKKHDV2UucRofiDgw_w1vIb9rqGmRPA' \
--header 'Content-Type: application/json' \
--data-raw '{
"subject": "Firewall Configuration Issue",
"description": "There is a misconfiguration due to which cannot access certain websites.",
"impactName": "Low",
"priorityName": "Low",
"urgencyName": "Low",
"natureOfProblem": "proactive",
"knownError": false,
"statusName": "Open",
"tags": [
"Firewall",
"Configuration"
],
"requesterEmail": "jerry@motadata.com",
"rootCause": "<p>Issue in configuration.</p>",
"dueBy": "03-03-2027 06:00"
}'

Response

{
"id": 5,
"name": "PBM-5",
"createdTime": 1770723517325,
"updatedTime": 1770723517346,
"customField": {},
"statusName": "Open",
"createdByName": "jerry",
"subject": "Firewall Configuration Issue",
"requesterName": "jerry",
"fileAttachments": [],
"requesterEmail": "jerry@motadata.com",
"description": "There is a misconfiguration due to which cannot access certain websites.",
"tags": [
"Configuration",
"Firewall"
],
"impactName": "Low",
"priorityName": "Low",
"urgencyName": "Low",
"updatedByName": "jerry",
"solutionFileAttachments": [],
"solutionUpdatedByName": "jerry",
"solutionUpdatedTime": 1770723517449,
"formatedSolutionUpdatedTime": "10/02/2026 05:08 pm",
"formatedCreatedTime": "10/02/2026 05:08 pm",
"formatedUpdatedTime": "10/02/2026 05:08 pm",
"natureOfProblem": "proactive",
"knownError": false,
"dueBy": "03/03/2026 06:00 pm",
"problemAge": "",
"impactFileAttachments": [],
"rootCause": "<p>Issue in configuration.</p>",
"rootCauseFileAttachments": [],
"symptompsFileAttachments": [],
"workaroundFileAttachments": []
}